Name:               bugwarrior
Version:            1.4.0
Release:            1%{?dist}
Summary:            Sync github, bitbucket, and trac issues with taskwarrior

Group:              Development/Libraries
License:            GPLv3+
URL:                http://pypi.python.org/pypi/bugwarrior
Source0:            http://pypi.python.org/packages/source/b/%{name}/%{name}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools

BuildRequires:      python-twiggy
BuildRequires:      python-bitlyapi
BuildRequires:      python-requests
BuildRequires:      python-bugzilla
BuildRequires:      python-offtrac
BuildRequires:      python-taskw
BuildRequires:      python-dogpile-cache
BuildRequires:      python-keyring
BuildRequires:      python-click
BuildRequires:      python-dateutil
BuildRequires:      python-six
BuildRequires:      python-jinja2
BuildRequires:      python-pycurl
BuildRequires:      python-lockfile
BuildRequires:      pytz
BuildRequires:      pyxdg

Requires:           python-setuptools
Requires:           python-twiggy
Requires:           python-bitlyapi
Requires:           python-requests
Requires:           python-bugzilla
Requires:           python-offtrac
Requires:           python-taskw
Requires:           python-dogpile-cache
Requires:           python-keyring
Requires:           python-click
Requires:           python-dateutil
Requires:           python-six
Requires:           python-jinja2
Requires:           python-pycurl
Requires:           python-lockfile
Requires:           pytz
Requires:           pyxdg

# See https://bugzilla.redhat.com/show_bug.cgi?id=1036078
# and https://github.com/ralphbean/bugwarrior/issues/210#issuecomment-75995671
#BuildRequires:      python-jira
#Requires:           python-jira

%description
bugwarrior is a command line utility for updating your local taskwarrior
database from your forge issue trackers.

It currently supports pulling issues from github, bitbucket, trac, bugzilla,
megaplan, teamlab, redmine, and activecollab

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc bugwarrior/README.rst LICENSE.txt bugwarrior/docs
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-%{version}*
%{_bindir}/bugwarrior-pull
%{_bindir}/bugwarrior-vault
%{_bindir}/bugwarrior-uda

%changelog
* Sat Mar 12 2016 Ralph Bean <rbean@redhat.com> - 1.4.0-1
- new version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 30 2015 Ralph Bean <rbean@redhat.com> - 1.3.0-1
- new version

* Sun Oct 11 2015 Ralph Bean <rbean@redhat.com> - 1.2.0-2
- Require pyxdg for rhbz#1270591.

* Thu Sep 10 2015 Ralph Bean <rbean@redhat.com> - 1.2.0-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Ralph Bean <rbean@redhat.com> - 1.1.3-1
- new version

* Tue Feb 17 2015 Ralph Bean <rbean@redhat.com> - 1.1.1-1
- new version

* Tue Feb 17 2015 Ralph Bean <rbean@redhat.com> - 1.1.0-1
- new version
- new bugwarrior-uda command

* Tue Sep 23 2014 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- Latest upstream with typofix to egg requirements.

* Mon Sep 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-2
- Add deps that should have been included in the last release.

* Mon Sep 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Bugfix release.

* Fri Sep 19 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Latest upstream.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-3
- Added forgotten requirement on python-offtrac

* Sat Mar 08 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-2
- New requirement on python-setuptools.

* Tue Jan 21 2014 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- Latest upstream
- Removed python-jira patch.
- Modernized python2 macros

* Sat Jan 18 2014 Ralph Bean <rbean@redhat.com> - 0.6.3-3
- Added dep on python-keyring.
- Annotated the comment about python-jira.

* Mon Dec 16 2013 Ralph Bean <rbean@redhat.com> - 0.6.3-2
- Patch to disable jira support since it creates a dep nightmare for f19/f18.

* Tue Nov 12 2013 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- Latest upstream.
- Convert python macros to be explicitly python2.
- Remove dangling symlink.

* Thu Oct 31 2013 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- initial package for Fedora
